Hab studio enter giving error

hab-0.85.0-20190916215313-x86_64-windows>hab studio enter -w
:bangbang: Missing package for core/hab-studio/0.85.0
» Installing core/hab-studio/0.85.0
⌂ Determining latest version of core/hab-studio/0.85.0 in the ‘stable’ channel
» Installing core/hab-studio/0.85.0
⌂ Determining latest version of core/hab-studio/0.85.0 in the ‘stable’ channel
» Installing core/hab-studio/0.85.0
⌂ Determining latest version of core/hab-studio/0.85.0 in the ‘stable’ channel
» Installing core/hab-studio/0.85.0
⌂ Determining latest version of core/hab-studio/0.85.0 in the ‘stable’ channel
» Installing core/hab-studio/0.85.0
⌂ Determining latest version of core/hab-studio/0.85.0 in the ‘stable’ channel
» Installing core/hab-studio/0.85.0
⌂ Determining latest version of core/hab-studio/0.85.0 in the ‘stable’ channel
XXX
XXX `hab-studio’ was not found on the filesystem or in PATH
XXX

any idea why i am getting above error

This usually means that habitat is unable to reach the depot which is often caused by proxies or other network filtering in your environment. If it is trying to connect to an on premises builder then their could be issues with your on premises builder service. If you are behind a proxy, first try setting HTTP_PROXY or HTTPS_PROXY environment variables before the call to hab studio enter.

Also note that -w is deprecated and not supported on the latest versions of Habitat.

1 Like

Hi rock,
you are correct , if i use bldr habitat url it is able to download core packages. but if use on-premise builder it is throwing above error . but how could i found what is wrong in on-premise connection . how to troubleshoot it . i see firewall rules are in place already